import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import { SubTopicEventRouter, EventsService, EventParams } from '@backstage/plugin-events-node';

/**
 * Subscribes to the generic `github` topic
 * and publishes the events under the more concrete sub-topic
 * depending on the `x-github-event` provided.
 *
 * @public
 */
declare class GithubEventRouter extends SubTopicEventRouter {
    constructor(options: {
        events: EventsService;
    });
    protected getSubscriberId(): string;
    protected determineSubTopic(params: EventParams): string | undefined;
}

declare const _default: _backstage_backend_plugin_api.BackendFeature;

export { GithubEventRouter, _default as default };
